Bug 14068 - R crash with intToUtf8 on huge vectors
R crash with intToUtf8 on huge vectors
Status: CLOSED FIXED
Product: R
Classification: Unclassified
Component: Low-level
old
ix86 (32-bit) Windows 32-bit
: P5 normal
Assigned To: Jitterbug compatibility account
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-16 19:08 UTC by Jitterbug compatibility account
Modified: 2009-11-17 22:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jitterbug compatibility account 2009-11-16 19:08:55 UTC
From: g.russell@eos-solutions.com
Full_Name: George Russell
Version: 2.10.0
OS: Windows XP Professional Version 2002 Service Pack 2
Submission from: (NULL) (217.111.3.131)


Typing the following command into R --vanilla causes R to crash:

k <- intToUtf8(rep(1e3,1e7))

This is the output of sessionInfo():
R version 2.10.0 (2009-10-26) 
i386-pc-mingw32 

locale:
[1] LC_COLLATE=German_Germany.1252  LC_CTYPE=German_Germany.1252   
[3] LC_MONETARY=German_Germany.1252 LC_NUMERIC=C                   
[5] LC_TIME=German_Germany.1252    

attached base packages:
[1] stats     graphics  grDevices datasets  utils     methods   base     

other attached packages:
[1] RODBC_1.3-1

Many thanks for your help and best wishes,

George Russell

Comment 1 Jitterbug compatibility account 2009-11-17 03:08:39 UTC
From: Duncan Murdoch <murdoch@stats.uwo.ca>
On 11/16/2009 8:10 AM, g.russell@eos-solutions.com wrote:
> Full_Name: George Russell
> Version: 2.10.0
> OS: Windows XP Professional Version 2002 Service Pack 2
> Submission from: (NULL) (217.111.3.131)
> 
> 
> Typing the following command into R --vanilla causes R to crash:
> 
> k <- intToUtf8(rep(1e3,1e7))

Thanks, I see this in R-patched and R-devel.  Will try to track it down.

> 
> This is the output of sessionInfo():
> R version 2.10.0 (2009-10-26) 
> i386-pc-mingw32 

> locale:
> [1] LC_COLLATE=German_Germany.1252  LC_CTYPE=German_Germany.1252   
> [3] LC_MONETARY=German_Germany.1252 LC_NUMERIC=C                   
> [5] LC_TIME=German_Germany.1252    
> 
> attached base packages:
> [1] stats     graphics  grDevices datasets  utils     methods   base     
> 
> other attached packages:
> [1] RODBC_1.3-1

I didn't have RODBC present, and was working in an

English_United States.1252

locale.

Duncan Murdoch

> 
> Many thanks for your help and best wishes,
> 
> George Russell
> 
> ______________________________________________
> R-devel@r-project.org mailing list
> https://stat.ethz.ch/mailman/listinfo/r-devel

Comment 2 Jitterbug compatibility account 2009-11-17 22:20:30 UTC
From: Prof Brian Ripley <ripley@stats.ox.ac.uk>
Basically you have exceeded a resource limit, and Windows has not 
handled that gracefully (other OSes do in your example).  You are 
trying to create a single 20Mb string and no one envisaged anyone 
wanting to do that (nor that Windows would not fail gracefully, 
although generically that comes as no real surprise)).

We'll change the method to cope with very large strings (more slowly), 
but perhaps you could explain the real-world problem that needs 20Mb
strings to be produced from integer representations of Unicode points?

On Mon, 16 Nov 2009, g.russell@eos-solutions.com wrote:

> Full_Name: George Russell
> Version: 2.10.0
> OS: Windows XP Professional Version 2002 Service Pack 2
> Submission from: (NULL) (217.111.3.131)
>
>
> Typing the following command into R --vanilla causes R to crash:
>
> k <- intToUtf8(rep(1e3,1e7))
>
> This is the output of sessionInfo():
> R version 2.10.0 (2009-10-26)
> i386-pc-mingw32
>
> locale:
> [1] LC_COLLATE=German_Germany.1252  LC_CTYPE=German_Germany.1252
> [3] LC_MONETARY=German_Germany.1252 LC_NUMERIC=C
> [5] LC_TIME=German_Germany.1252
>
> attached base packages:
> [1] stats     graphics  grDevices datasets  utils     methods   base
>
> other attached packages:
> [1] RODBC_1.3-1
>
> Many thanks for your help and best wishes,
>
> George Russell
>
> ______________________________________________
> R-devel@r-project.org mailing list
> https://stat.ethz.ch/mailman/listinfo/r-devel
>

-- 
Brian D. Ripley,                  ripley@stats.ox.ac.uk
Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/
University of Oxford,             Tel:  +44 1865 272861 (self)
1 South Parks Road,                     +44 1865 272866 (PA)
Oxford OX1 3TG, UK                Fax:  +44 1865 272595

Comment 3 Jitterbug compatibility account 2009-11-17 22:45:00 UTC
NOTES:
 changed in 2.10.0 patched
Comment 4 Jitterbug compatibility account 2009-11-17 22:45:27 UTC
Audit (from Jitterbug):
Tue Nov 17 16:45:27 2009	ripley	changed notes
Tue Nov 17 16:45:27 2009	ripley	moved from incoming to Low-level-fixed